---
"@context": https://schema.org
"@type": TechArticle
"@id": https://www.twilio.com/docs/api/errors/25002#article
headline: "25002: The provided user's first name is invalid"
url: https://www.twilio.com/docs/api/errors/25002
inLanguage: en
dateModified: 2026-06-08T11:29:20.000Z
author:
  "@type": Organization
  name: Twilio Developer Education Team
publisher:
  "@type": Organization
  name: Twilio
---

# 25002: The provided user's first name is invalid

Log Type: APPLICATION

Log Level: ERROR

## Description

Twilio returns this error when the `name.givenName` value in a SCIM request for an organization-managed user is invalid. This can happen when you create a user with `POST /scim/v2/Users` or update a user with `PUT /scim/v2/Users/{id}` or `PATCH /scim/v2/Users/{id}`. The first name must be between 2 and 255 characters.

### Possible causes

* The value sent in `name.givenName` is fewer than 2 characters.
* The value sent in `name.givenName` is longer than 255 characters.
* Your identity provider or SCIM client sent an invalid first-name value while provisioning or updating a managed user.
* A create request to `POST /scim/v2/Users` included an invalid `name.givenName` value.
* An update request to `PUT /scim/v2/Users/{id}` or `PATCH /scim/v2/Users/{id}` included an invalid `name.givenName` value.

### Possible solutions

* Update `name.givenName` so it contains between 2 and 255 characters before you send the request.
* Review the payload your SCIM client sends for `POST /scim/v2/Users`, `PUT /scim/v2/Users/{id}`, or `PATCH /scim/v2/Users/{id}` and correct the first-name value.
* If you provision users from an identity provider such as Okta, review your provisioning configuration so the first name sent to Twilio is valid.
* Send the request again after you correct the invalid first-name value.
* When you update a managed user, make sure any change to `name.givenName` uses a valid value.

#### Additional resources

* [SCIM API overview](/docs/iam/scim)
* [SCIM API reference](/docs/iam/scim/api-reference)
* [Okta SCIM integration](/docs/iam/scim/okta-integration)
